Altibase.jdbc.driver.util

## Class ShortDynamicArray

- java.lang.Object
- - Altibase.jdbc.driver.util.DynamicArray
  - - Altibase.jdbc.driver.util.ShortDynamicArray

    public class ShortDynamicArray
    extends DynamicArray

### Field Summary

### Fields inherited from class Altibase.jdbc.driver.util.DynamicArray

`mLoadCursor, mStoreCursor`

### Constructor Summary

Constructors
Constructor and Description
`ShortDynamicArray()`

### Method Summary

All Methods Instance Methods Concrete Methods
`protected void` `allocChunkEntry(int aChunkCount)`
`protected void` `expand(int aChunkIndex, int aChunkSize)`
`short` `get()`
`void` `put(short aValue)`

### Methods inherited from class Altibase.jdbc.driver.util.DynamicArray

`checkChunk, getChunkSizes, getDynamicArrySize, setCursor`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ShortDynamicArray

    public ShortDynamicArray()

### Method Detail

#### allocChunkEntry

    protected void allocChunkEntry(int aChunkCount)

Specified by:
  `allocChunkEntry` in class `DynamicArray`

#### expand

    protected void expand(int aChunkIndex,
                          int aChunkSize)

Specified by:
  `expand` in class `DynamicArray`

#### put

    public void put(short aValue)

#### get

    public short get()